[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TryStrToQWord

Try to convert a string to a QWord value, and report on success

## Declaration

Source position: sysstrh.inc line 124

`function TryStrToQWord(`
`const s: String;`
`out Q: QWord`
`):Boolean;`

## Description

TryStrToQWord tries to convert the string S to a valid QWord (unsigned 64-bit) value, and stores the result in I. If the conversion fails, the function returns False, else it returns True.

## See also

StrToQWord |  | Convert a string to a QWord.
StrToQWordDef |  | Try to convert a string to a QWord, returning a default value in case of failure.
TryStrToInt64 |  | Try to convert a string to an int64 value, and report on success.
TryStrToInt |  | Try to convert a string to an integer, and report on success.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.